> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myrouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling V2.5 Turbo Text-to-Video

Kling 2.5 Turbo is an advanced text-to-video model capable of generating ultra-smooth motion, cinematic visuals, and highly prompt-adherent content.

<Tip>
  This is an **async** API that only returns the task\_id of the async task. Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</Tip>

## Request Headers

<ParamField header="Content-Type" type="string" required={true}>
  Enum: `application/json`
</ParamField>

<ParamField header="Authorization" type="string" required={true}>
  Bearer authentication format: Bearer \{\{API Key}}.
</ParamField>

## Request Body

<ParamField body="prompt" type="string" required={true}>
  Positive text prompt to guide generation. Must not exceed 2500 characters.
</ParamField>

<ParamField body="duration" type="string" default="5">
  Duration of the generated video (in seconds).

  Possible values: `5`, `10`
</ParamField>

<ParamField body="aspect_ratio" type="string" default="16:9">
  Aspect ratio of the output video.

  Possible values: `16:9`, `9:16`, `1:1`
</ParamField>

<ParamField body="cfg_scale" type="number" default={0.5}>
  Controls the flexibility of video generation. Higher values make the generated content adhere more closely to the prompt, with less creative freedom.

  Range: 0 to 1
</ParamField>

<ParamField body="mode" type="string" default="pro">
  Video generation mode. Possible values:

  * `pro`: Professional mode
</ParamField>

<ParamField body="negative_prompt" type="string">
  Negative prompt to specify content to avoid in the generation. Must not exceed 2500 characters.
</ParamField>

## Response

<ResponseField name="task_id" type="string" required={true}>
  The task\_id of the async task. Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</ResponseField>
